Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlLayer Class Reference

`#include <GlLayer.h>`

Collaboration diagram for tlp::GlLayer:

[legend]
List of all members.

## Detailed Description

Layer class

## Public Member Functions

- GlLayer (const std::string &name, bool workingLayer=false)
- GlLayer (const std::string &name, Camera *camera, bool workingLayer=false)
- ~GlLayer ()
- void setScene (GlScene *scene)
- GlScene * getScene ()
- std::string getName ()
- void setCamera (Camera *camera)
- void setCamera (const Camera &camera)
- void set2DMode ()
- Camera * getCamera ()
- void setVisible (bool visible)
- bool isVisible ()
- void addGlEntity (GlSimpleEntity *entity, const std::string &name)
- void deleteGlEntity (const std::string &key)
- void deleteGlEntity (GlSimpleEntity *entity)
- GlSimpleEntity * findGlEntity (const std::string &key)
- std::map< std::string, GlSimpleEntity * > * getDisplays ()
- void acceptVisitor (GlSceneVisitor *visitor)
- GlComposite * getComposite ()
- void clear ()
- bool isAWorkingLayer ()
- bool useSharedCamera ()
- void getXML (xmlNodePtr rootNode)
- void setWithXML (xmlNodePtr rootNode)

## Constructor & Destructor Documentation

tlp::GlLayer::GlLayer | ( | const std::string & | name,
|  | bool | workingLayer = `false`
| ) |

| Layer constructor : construct a layer with his name

tlp::GlLayer::GlLayer | ( | const std::string & | name,
|  | Camera * | camera,
|  | bool | workingLayer = `false`
| ) |

| Layer constructor : construct a layer with his name and use the camera : camera

tlp::GlLayer::~GlLayer | ( |  | ) |

| Destructor

## Member Function Documentation

void tlp::GlLayer::acceptVisitor | ( | GlSceneVisitor * | visitor | ) |

| function used by visitors to visit this layer

void tlp::GlLayer::addGlEntity | ( | GlSimpleEntity * | entity,
|  | const std::string & | name
| ) |

| Add an entity to GlComposite of the layer

void tlp::GlLayer::clear | ( |  | ) | `[inline]`

| Remove all entities of the layer

void tlp::GlLayer::deleteGlEntity | ( | GlSimpleEntity * | entity | ) |

| Delete entity

void tlp::GlLayer::deleteGlEntity | ( | const std::string & | key | ) |

| Delete entity with name : key

GlSimpleEntity* tlp::GlLayer::findGlEntity | ( | const std::string & | key | ) |

| Return entity with name : key

Camera* tlp::GlLayer::getCamera | ( |  | ) | `[inline]`

| Return the layer's camera

GlComposite* tlp::GlLayer::getComposite | ( |  | ) | `[inline]`

| Return the GlComposite used by the layer

std::map<std::string, GlSimpleEntity*>* tlp::GlLayer::getDisplays | ( |  | ) |

| Return the map of layer's entities

std::string tlp::GlLayer::getName | ( |  | ) | `[inline]`

| Return the layer's name

GlScene* tlp::GlLayer::getScene | ( |  | ) | `[inline]`

| Return the scene where the layer is

void tlp::GlLayer::getXML | ( | xmlNodePtr | rootNode | ) |

| Return the layer's data in XML

bool tlp::GlLayer::isAWorkingLayer | ( |  | ) | `[inline]`

| return if this layer is a working layer this property doesn't change the layer, but for example working layers are not displayed in LayerManagerWidget

bool tlp::GlLayer::isVisible | ( |  | ) | `[inline]`

| Return if the layer is visible

void tlp::GlLayer::set2DMode | ( |  | ) | `[inline]`

| Replace the layer's camera with a new 2D one

void tlp::GlLayer::setCamera | ( | const Camera & | camera | ) | `[inline]`

| Set the layer's camera

void tlp::GlLayer::setCamera | ( | Camera * | camera | ) | `[inline]`

| Set the layer's camera with a pointer to a camera

void tlp::GlLayer::setScene | ( | GlScene * | scene | ) | `[inline]`

| Set the scene where the layer is

void tlp::GlLayer::setVisible | ( | bool | visible | ) | `[inline]`

| Set if the layer is visible

void tlp::GlLayer::setWithXML | ( | xmlNodePtr | rootNode | ) |

| Set the layer's data with XML

bool tlp::GlLayer::useSharedCamera | ( |  | ) | `[inline]`

| return if this layer use a shared camera

Tulip Software by LaBRI Visualization Team 2001 - 2010